<template>
  <PasswordVue v-if="isDesktop || selectedThemeName.includes('peru')" />
  <ThemeCommonMobileMainAccountPassword
    v-else-if="!isDesktop && selectedThemeName === 'main'"
  />
  <MPasswordVue v-else />
</template>

<script lang="ts" setup>
import PasswordVue from "@/components/theme/common/desktop/account/Password.client.vue";
import MPasswordVue from "@/components/theme/common/mobile/account/Password.client.vue";
import { store } from "~~/store";

const selectedThemeName = computed(() => store.state.selectedThemeName);

const { isDesktop } = useDevice();
</script>
